/**
 * 
 */
package mpqa_seq_reranker;

import java.util.ArrayList;

import se.lth.cs.nlp.nlputils.annotations.Span;
import se.lth.cs.nlp.nlputils.core.PRFStats;

public class Candidate implements java.io.Serializable {

	private static final long serialVersionUID = 0L;
	
	public double baseScore;
	//double nCorrect, nInGold, nGuesses, propFound, propGuessed, nOverlap;
	
	//public Stats stats;
	public PRFStats stats;
	
	public ArrayList<Span> spans = new ArrayList();

	public Candidate clone() {
		Candidate out = new Candidate();
		out.baseScore = baseScore;
		out.stats = stats.clone();
		out.spans = (ArrayList) spans.clone();
		return out;
	}
	
	/* Agents. */
	public double baseSrcScore;
	public boolean[] isWriter;
	public boolean[] isImplicit;
	public int[] srcIndex;

}