package mpqa_seq_reranker;

import se.lth.cs.nlp.nlputils.ml_long.SparseVector;

public class NBestRepresentation implements java.io.Serializable {

	private static final long serialVersionUID = 0L;
	
	public double[] costs;
	public SparseVector[] reps;
	
	public String toString() {
		StringBuilder sb = new StringBuilder("[");
		for(int i = 0; i < costs.length; i++) {
			if(i > 0)
				sb.append(", ");
			sb.append(reps[i].index + ", " + costs[i]);
		}
		sb.append("]");
		return sb.toString();
	}
	
}
