/*
 IntRef.java
  
 Created on Oct 5, 2007 by Richard Johansson (richard@cs.lth.se).

 $Log: IntRef.java,v $
 Revision 1.2  2010-06-07 11:03:38  johansson
 Clone.

 Revision 1.1  2009/01/16 10:05:11  johansson
 Added to brenta repository.

 Revision 1.2  2007/10/08 12:31:34  richard
 Refactored again to remove atoms.

 Revision 1.1.2.1  2007/10/08 12:21:21  richard
 Added.

   
 */
package se.lth.cs.nlp.nlputils.core;

import java.io.Serializable;

/**
 * @author Richard Johansson (richard@cs.lth.se)
 */
public class IntRef implements Serializable {

    private static final long serialVersionUID = 0L;
    
    private int i;
    
    public int get() {
        return i;
    }

    public void increase() {
        i++;
    }
    
    public void set(int i) {
        this.i = i;
    }
    
    public IntRef clone() {
    	IntRef ir = new IntRef();
    	ir.i = i;
    	return ir;
    }
    
}
