/*
 PartialComparator.java
  
 Created on Nov 21, 2006 by Richard Johansson (richard@cs.lth.se).

 $Log: PartialComparator.java,v $
 Revision 1.1  2009/01/16 10:05:11  johansson
 Added to brenta repository.

 Revision 1.1  2006/11/21 13:02:03  richard
 Added the file.

   
 */
package se.lth.cs.nlp.nlputils.core;

/**
 * @author Richard Johansson (richard@cs.lth.se)
 */
public interface PartialComparator<T> {
    
    public static final int GT = 1;
    public static final int EQ = 0;
    public static final int LT = -1;
    public static final int NA = Integer.MAX_VALUE;
    
    public int compare(T o1, T o2);
    
}
