
package se.lth.cs.nlp.nlputils.core;

import java.util.Random;

public class RandomInfiniteSet {
	private static final long BIG_PRIME = 59604644783353249L;

	private long c;
	private int mask;
	public RandomInfiniteSet(Random r, int neglogprob) {
		c = r.nextLong();
		mask = (1 << neglogprob) - 1;
	}

	public boolean contains(long l) {
		long s = c*l*l + c;
		return ((s % BIG_PRIME) & mask) == 0;
	}
}