package se.lth.cs.nlp.nlputils.ml_long;

public abstract class VectorSpace {

	public abstract void prepareDot(SparseVector r1);
    public abstract double dot(SparseVector r2);
    public abstract double dot(SparseVector r1, SparseVector r2);
    public abstract double sqrLength(SparseVector y);
    public abstract double sqrDiff(SparseVector y1, SparseVector y2);

}
