/*
 OnlineUpdater.java
  
 Created on Feb 15, 2007 by Richard Johansson (richard@cs.lth.se).

 $Log: OnlineUpdater.java,v $
 Revision 1.1  2009/01/16 10:06:48  johansson
 Added to brenta repository.

 Revision 1.1  2008/05/16 12:16:05  richard
 Branched.

 Revision 1.2  2007/02/16 15:15:38  richard
 Round statistics.

 Revision 1.1  2007/02/16 10:43:03  richard
 Added the file.

   
 */
package se.lth.cs.nlp.nlputils.ml_long.algorithms;

import se.lth.cs.nlp.nlputils.ml_long.*;

/**
 * @author Richard Johansson (richard@cs.lth.se)
 */
public abstract class OnlineUpdater<I, V> {

    public abstract void calculateUpdate(ProblemDefinition<I, V> lp, 
            Model model, I x, V y);
    public abstract void updateModel(double d, Model model);
   
    public void roundStatistics() {
    }

}
