package se.lth.cs.nlp.nlputils.ml_long.featuresearch;

import java.util.*;

import se.lth.cs.nlp.nlputils.core.Pair;

public class FeatureSet implements java.io.Serializable {

	private static final long serialVersionUID = 0L;
	
	public HashSet<String> fs = new HashSet();
	public HashSet<Pair<String, String>> ps = new HashSet();
	
	public String toString() {
		return "(" + fs + ", " + ps + ")";
	}
	
	public FeatureSet() {}
	
	public FeatureSet(Collection<String> fs, Collection<Pair<String, String>> ps) {
		this.fs = new HashSet(fs);
		this.ps = new HashSet(ps);
	}
	
}
