/**
 * 
 */
package mpqa_structlearn.sequences;

import java.util.ArrayList;

import mpqa_structlearn.io.MPQASentence;

public class SentenceData implements java.io.Serializable {

	private static final long serialVersionUID = 0;
	
	public String text;
	public MPQASentence goldSpans;
	public ArrayList<Candidate> candidates = new ArrayList();

	public void simplifyStats() {
		goldSpans.convertToUnlabeledOpinion();
		for(Candidate c: candidates) {			
			c.mpqaSentence.convertToUnlabeledOpinion();
			c.stats = goldSpans.compareExpressions(c.mpqaSentence);
		}
	}
	
	public void copyParse(MPQASentence sen) {
	}

}