package se.lth.cs.nlp.nlputils.math;

import java.io.*;

public class Statistics {

	public int size;
	public double mean;
	public double std;

	public double median;	
	public double q99;
	public double q975;
	public double q95;
	public double q05;
	public double q025;
	public double q01;

	public double[] data;
	
	public String toString() {
		StringWriter sw = new StringWriter();
		PrintWriter pw = new PrintWriter(sw);
		pw.format("{size=%d, mean=%f, std=%f, q01=%f, q025=%f, q05=%f, med=%f, q95=%f, q975=%f, q99=%f}",
				size, mean, std, q01, q025, q05, median, q95, q975, q99);
		pw.close();
		return sw.toString();
	}
	
	public void printMatlabVector(PrintWriter pw, String vectorName) {
		pw.print(vectorName + "=[");
		for(int i = 0; i < data.length-1; i++)
			pw.format("%f, ", data[i]);
		pw.format("%f];\n", data[data.length-1]);
		pw.close();
	}
	
}
