/*
 LearningAlgorithm.java
  
 Created on Aug 30, 2006 by Richard Johansson (richard@cs.lth.se).

 $Log: LearningAlgorithm.java,v $
 Revision 1.2  2009/01/16 10:08:13  johansson
 Added to brenta repository.

 Revision 1.1  2009/01/16 10:06:48  johansson
 Added to brenta repository.

 Revision 1.1  2008/05/16 12:16:04  richard
 Branched.

 Revision 1.1  2007/09/28 14:48:54  richard
 Moved to ml.

 Revision 1.2  2006/09/22 08:07:53  richard
 Renamed specification to definition.

 Revision 1.1  2006/09/07 17:54:18  richard
 Added files.

   
 */
package se.lth.cs.nlp.nlputils.ml_long;

import se.lth.cs.nlp.nlputils.core.Pair;
import java.util.List;

/**
 * @author Richard Johansson (richard@cs.lth.se)
 */
public abstract class LearningAlgorithm<L extends ProblemDefinition<I, V>, I, V> {

    /* Kanske borde parametrisera p� klassificerartyp! */
    
    public abstract Classifier<I, V> train(L problem, List<Pair<I, V>> trainingSet);
    
    public String help() {
        return "The algorithm (" + getClass().getName() + ") does not have a help text."; 
    }
    
}
