
package se.lth.cs.nlp.nlputils.ml_long;

import java.util.Random;
import se.lth.cs.nlp.nlputils.core.RandomInfiniteSet;

public class RandomFeatureFilter extends FeatureFilter {

	private RandomInfiniteSet rs;

	public RandomFeatureFilter(Random rand, int neglogprob) {
		rs = new RandomInfiniteSet(rand, neglogprob);
	}

	public boolean hides(long l) {
		return rs.contains(l);
	}

}
