/*
 Majority.java
  
 Created on Apr 3, 2008 by Richard Johansson (richard@cs.lth.se).

 $Log: Constant.java,v $
 Revision 1.1  2010-06-07 11:30:23  johansson
 Major update.

 Revision 1.1  2009/01/16 10:06:48  johansson
 Added to brenta repository.

 Revision 1.1  2008/05/16 12:16:05  richard
 Branched.

 Revision 1.1  2008/04/07 12:12:11  richard
 Added.

   
 */
package se.lth.cs.nlp.nlputils.ml_long.algorithms;

import java.util.List;

import se.lth.cs.nlp.nlputils.core.*;
import se.lth.cs.nlp.nlputils.ml_long.*;
import se.lth.cs.nlp.nlputils.ml_long.classifiers.UnaryClassifier;

/**
 * @author Richard Johansson (richard@cs.lth.se)
 */
public class Constant<I> extends LearningAlgorithm<MulticlassDefinition<I, String>, I, String> {

	private String value;
	
    public Constant(String[] argv, int offset) {
    	value = argv[offset];
    	/*for(int i = offset; i < argv.length; i++) {

        }*/
    }

    public Classifier<I, String> train(MulticlassDefinition<I, String> spec, List<Pair<I, String>> trainingSet) { 
        return new UnaryClassifier(value);
    }
    
}
