/*
 BinaryKernelClassifier.java
 
 Created on Jun 5, 2006 by Richard Johansson (richard@cs.lth.se).
 
 $Log: BinaryKernelClassifier.java,v $
 Revision 1.1  2009/01/16 10:06:48  johansson
 Added to brenta repository.

 Revision 1.1  2008/05/16 12:16:04  richard
 Branched.

 Revision 1.1  2007/09/28 15:00:51  richard
 Moved.

 Revision 1.3  2006/09/22 08:06:39  richard
 Renamed specification to definition.

 Revision 1.2  2006/09/18 09:08:36  richard
 Uses MulticlassDefinition instead of NumericEncoding.

 Revision 1.1  2006/09/07 17:54:18  richard
 Added files.

 
 */
package se.lth.cs.nlp.nlputils.ml_long.classifiers;

import se.lth.cs.nlp.nlputils.ml_long.SparseVector;

/**
 * @author Richard Johansson (richard@cs.lth.se)
 */
public class BinaryKernelClassifier<I,V> extends BinaryNumericClassifier<I,V> {
    
    private static final long serialVersionUID = 0L;
    
    private int kernelType;
    
    private double[] alphas;
    private I[] supportPatterns;
    private double b;
    
    protected double apply() {
        throw new RuntimeException("Still unimplemented!");
    }
    
}
