/**
 * 
 */
package se.lth.cs.nlp.nlputils.ml_long.featuresearch;

import java.util.*;

import se.lth.cs.nlp.nlputils.core.Function;
import se.lth.cs.nlp.nlputils.core.Pair;
import se.lth.cs.nlp.nlputils.ml_long.*;

public class AccuracyEvaluator extends Function<FeatureSet, Double> {

	public AccuracyEvaluator(String[] argv) {
	}
	
	private double evaluate(Classifier<FeatureList, String> cl,
            List<Pair<FeatureList, String>> testset) {
        int ncorrect = 0;
        int n = testset.size();
        for(Pair<FeatureList, String> instance: testset) {
            String guess = cl.classify(instance.left);
            if(guess.equals(instance.right))
                ncorrect++;
        }
        return (double) ncorrect / n;
    }
    
    public Double apply(FeatureSet fs) {
    	return 0.0;
    }
    
}