/*
 FeatureSearch.java
  
 Created on Apr 2, 2008 by Richard Johansson (richard@cs.lth.se).

 $Log: FeatureSearch.java,v $
 Revision 1.1  2010-06-07 11:28:52  johansson
 Added.

 Revision 1.1  2009/01/16 10:06:48  johansson
 Added to brenta repository.

 Revision 1.1  2008/05/16 12:16:04  richard
 Branched.

 Revision 1.2  2008/04/03 08:38:23  richard
 Specify a start set.

 Revision 1.1  2008/04/02 11:23:45  richard
 Added.

   
 */
package se.lth.cs.nlp.nlputils.ml_long.featuresearch;

import java.util.*;

import se.lth.cs.nlp.nlputils.core.*;

/**
 * @author Richard Johansson (richard@cs.lth.se)
 */
public abstract class FeatureSearch<I, V> {

    public abstract FeatureSet search(ArrayList<String> allFeatures,
            Function<FeatureSet, Double> eval);

    public abstract void setStartSet(FeatureSet startSet);
    
}
